Pay DARF v2
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashout/darf/pay/v2 \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"accumulated_revenue_amount": 100,
"amount": 100,
"assessment_date": "2026-01-01",
"authentication_date": "2026-01-01",
"description": "Consectetur esse sed irure incididunt est culpa nostrud.",
"due_date": "2026-01-01",
"external_id": "5b760495-cb55-4043-95e8-0cff5776b014",
"federal_revenue_id": "05964110000197",
"fine_amount": 10,
"interest_amount": 5,
"name": "John Doe",
"percentage": 2,
"phone": "+5541999381724",
"reference_number": 123456789,
"tax_number": "05964110000197",
"virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/darf/pay/v2"
payload = {
"accumulated_revenue_amount": 100,
"amount": 100,
"assessment_date": "2026-01-01",
"authentication_date": "2026-01-01",
"description": "Consectetur esse sed irure incididunt est culpa nostrud.",
"due_date": "2026-01-01",
"external_id": "5b760495-cb55-4043-95e8-0cff5776b014",
"federal_revenue_id": "05964110000197",
"fine_amount": 10,
"interest_amount": 5,
"name": "John Doe",
"percentage": 2,
"phone": "+5541999381724",
"reference_number": 123456789,
"tax_number": "05964110000197",
"virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accumulated_revenue_amount: 100,
amount: 100,
assessment_date: '2026-01-01',
authentication_date: '2026-01-01',
description: 'Consectetur esse sed irure incididunt est culpa nostrud.',
due_date: '2026-01-01',
external_id: '5b760495-cb55-4043-95e8-0cff5776b014',
federal_revenue_id: '05964110000197',
fine_amount: 10,
interest_amount: 5,
name: 'John Doe',
percentage: 2,
phone: '+5541999381724',
reference_number: 123456789,
tax_number: '05964110000197',
virtual_account_id: '1a760495-cb95-4023-96e8-0cff5776b010'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashout/darf/pay/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"payment_document_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Darf (manual)
Pay DARF (v2)
Generate a DARF payment using the v2 endpoint
POST
/
banking
/
cashout
/
darf
/
pay
/
v2
Pay DARF v2
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
DARF V2 payload
Body params to generate a DARF V2
Accumulated revenue amount
Amount
Assessment date
Authentication date
Due date
Federal revenue ID
Fine amount
Interest amount
Name
Percentage
Phone number
Tax number
Unique identifier
Description of the DARF
External ID of the DARF for reference
Reference number
Response
Created
Response schema for a single DARF V2 generation
Show child attributes
Show child attributes
⌘I

